#!/usr/bin/python

from random import randint

def make_guess(lowNum, highNum):
    global total_guesses
    total_guesses += 1
    print "Guessing between:", lowNum, "and", highNum
    return lowNum + ((highNum - lowNum) / 2)

low = 0
high = 100

MAX_GUESSES = 8
total_guesses = 0

print "Think of a number between " + str(low) + " and " + str(high

guess = make_guess(low, high)
response = raw_input("Is " + str(guess) + " the number (c)? Or High (h)? or Low (l)? ")

while response.lower() != 'c' and total_guesses < MAX_GUESSES:
    if response.lower() == 'h':
        high = guess
    elif response.lower() == 'l':
        low = guess
    else:
        print "That wasn't a valid response. Try again..."
        response = raw_input("Is " + str(guess) + " the number (c)? Or High (h)? or Low (l)? ")
        continue
    guess = make_guess(low, high)
    response = raw_input("Is " + str(guess) + " the number (c)? Or High (h)? or Low (l)? ")

if response.lower() == 'c':
    print "I guessed the correct number in " + str(total_guesses) + " guesses!"
else:
    print "I took more than " + str(MAX_GUESSES) + "...so I lose"


