#!/usr/bin/python

from random import randint

digits = 4
glimit = 12
num = str(randint(10**(digits-1), (10**digits)-1))

def get_input():
    instr = raw_input("What's your guess? ")
    instr = instr.strip()
    while not len(instr) == digits or not instr.isdigit():
        print 'Not valid input.'
        return get_input()
    return instr

def countpos(guess):
    count = 0
    for i in range(digits):
        if num[i] == guess[i]:
            count += 1
    return count
    
def countdigits(guess):
    count = 0
    copy = num
    for i in range(digits):
        if guess[i] in copy:
            count += 1
            copy = copy.replace(guess[i], '', 1)
    return count 

for i in range(glimit):
    print '\n' + str(glimit - i) + ' guesses left.'
    guess = get_input()
    print str(countdigits(guess)) + ' necessary digits are present.'
    print str(countpos(guess)) + ' of those digits are in the correct position.'
    if guess == num:
        print 'You win!  It took '+str(i+1)+' guesses.'
        exit(0)

print 'You lost. The number was:  '+num
