#!/usr/bin/python

from random import randint

num_guesses = 0

length_of_number = 4
# pick a random four digit number made of digits 0-9
random_number = str(randint(1000,9999))  # also, store it as a string

# ensure the string argument is of appropriate length and is all digits
def is_valid_input(s):
    return len(s) == length_of_number and s.isdigit()

# make a guess, print the results, and return whether the guess was correct or not
def do_guess():
    global num_guesses
    num_guesses += 1
    guess = raw_input("Try to guess the four digit number (between 1000 and 9999) ")
    while not is_valid_input(guess):
        print guess, "is not a valid input"
        guess = raw_input("Try to guess the four digit number (between 1000 and 9999) ")
    number_correct = 0
    number_correct_in_place = 0
    # make a list of all of the digits in the random_number
    random_number_no_repeats = list(random_number)
    for i in range(0, length_of_number):
        if guess[i] in random_number_no_repeats:
            # if this digit is in the correct random_number
            # remove an instance of the digit from the list of digits to prevent it from counting again
            random_number_no_repeats.remove(guess[i])
            number_correct += 1
        if guess[i] == random_number[i]:
            number_correct_in_place += 1
    print number_correct, "numbers are correct."
    print number_correct_in_place, "numbers are in the correct place."
    print   # skip a line
    return random_number == guess

# Allow the user to make the maximum number of guesses
max_guesses = 15
while num_guesses < max_guesses:
    print (max_guesses - num_guesses), "guesses remaining..."
    correct = do_guess()
    if correct:
        # if the user did guess correctly, then they win the game!
        print "You won the game!"
        exit()  # end the program

# if the user made the max number of guesses, they lose
print "You took more than", max_guesses, "guesses. You Lose."

